=== modified file 'bzrlib/commands.py'
--- bzrlib/commands.py	2011-04-19 04:37:48 +0000
+++ bzrlib/commands.py	2011-05-14 14:10:56 +0000
@@ -520,12 +520,13 @@
         # so we get <https://bugs.launchpad.net/bzr/+bug/249908>.  -- mbp
         # 20090319
         options = option.get_optparser(self.options()).format_option_help()
-        # XXX: According to the spec, ReST option lists actually don't support 
-        # options like --1.9 so that causes syntax errors (in Sphinx at least).
-        # As that pattern always appears in the commands that break, we trap
-        # on that and then format that block of 'format' options as a literal
-        # block.
-        if not plain and options.find('  --1.9  ') != -1:
+        # FIXME: According to the spec, ReST option lists actually don't
+        # support options like --1.14 so that causes syntax errors (in Sphinx
+        # at least).  As that pattern always appears in the commands that
+        # break, we trap on that and then format that block of 'format' options
+        # as a literal block. We use the most recent format still listed so we
+        # don't have to do that too often -- vila 20110514
+        if not plain and options.find('  --1.14  ') != -1:
             options = options.replace(' format:\n', ' format::\n\n', 1)
         if options.startswith('Options:'):
             result += ':' + options

=== modified file 'bzrlib/help_topics/en/configuration.txt'
--- bzrlib/help_topics/en/configuration.txt	2011-02-25 12:12:39 +0000
+++ bzrlib/help_topics/en/configuration.txt	2011-05-14 14:10:56 +0000
@@ -603,25 +603,25 @@
 executable may omit its path if it can be found on the PATH.
 
 The following markers can be used in the command-line to substitute filenames
-involved in the merge conflict:
-
-{base}      file.BASE
-{this}      file.THIS
-{other}     file.OTHER
-{result}    output file
-{this_temp} temp copy of file.THIS, used to overwrite output file if merge
-            succeeds.
-
-For example:
+involved in the merge conflict::
+
+  {base}      file.BASE
+  {this}      file.THIS
+  {other}     file.OTHER
+  {result}    output file
+  {this_temp} temp copy of file.THIS, used to overwrite output file if merge
+              succeeds.
+
+For example::
 
   bzr.mergetool.kdiff3 = kdiff3 {base} {this} {other} -o {result}
 
 bzr.default_mergetool
-~~~~~~~~~~~~~~~~~
+~~~~~~~~~~~~~~~~~~~~~
 
 Specifies which external merge tool (as defined above) should be selected by
 default in tools such as ``bzr qconflicts``.
 
-For example:
+For example::
 
   bzr.default_mergetool = kdiff3

=== modified file 'doc/en/release-notes/bzr-2.4.txt'
--- doc/en/release-notes/bzr-2.4.txt	2011-05-13 14:02:14 +0000
+++ doc/en/release-notes/bzr-2.4.txt	2011-05-14 14:10:56 +0000
@@ -74,6 +74,10 @@
 
 .. Improved or updated documentation.
 
+* Restore the workaround for option names including dots (--1.14) which was
+  disabled when we stopped listing --1.9 as a format.
+  (Vincent Ladeuil, #782289)
+
 API Changes
 ***********
 

=== renamed file 'doc/en/user-reference/readme.txt' => 'doc/en/user-reference/README'
